//=============================================================================
// CharacterObject.h
//=============================================================================
#include "Drawable.h"
#pragma once

//-----------------------------------------------------------------------------
// CCharacterObject
//-----------------------------------------------------------------------------
class CCharacterObject : public CDrawable
{
public:

	enum {
		STATE_WALK_1 = 0,	// s1
		STATE_WALK_2,		// s2
		STATE_WALK_3,		// s3
		STATE_STAND,		// 
		STATE_MAX
	};

	enum{
		PIC_COUNT = DIRECTION_MAX * STATE_MAX,
		INVALID_ID = 0,
	};

protected:
	int		m_nID;					// ID
	int		m_nPicID;				// 摜ID
	int		m_nDirection;			// 
	int		m_nState;				// Xe[^X
	int		m_nHandle[PIC_COUNT];	// G
	int		m_nMoveFrameCnt;		// ړt[JE^

	BOOL Load( int nPicID );		// [h

public:
	CCharacterObject(void);
	virtual ~CCharacterObject(void);

	BOOL Create( int nID, int nPicID );	// 
	void FrameMove( void );				// XV
	void Render( void );				// `

	void Delete( void );				// j

	void SetPosTile( int nX, int nY, int nDirection );
	void SetDirection( int nDirection )
	{	m_nDirection = nDirection;	};
	int GetDirection( void )
	{	return m_nDirection;	};
};

