//=============================================================================
// Drawable.h
//=============================================================================
#pragma once

//-----------------------------------------------------------------------------
// CDrawable
//-----------------------------------------------------------------------------
class CDrawable
{
protected:
	BOOL	m_bIsVisible;

	int		m_nDrawOffsetX;
	int		m_nDrawOffsetY;
	int		m_nPosX;
	int		m_nPosY;

public:
	CDrawable(void);
	virtual ~CDrawable(void);

	void SetPos( int nX, int nY )
	{
		m_nPosX = nX;
		m_nPosY = nY;
		//m_nDrawOffsetX = m_nDrawOffsetY = 0;
	};
	
	virtual BOOL Create( void ){ return TRUE; };			// 
	virtual void FrameMove( void ) = 0; 	// XV
	virtual void Render( void ) = 0;		// `
	virtual void Delete( void ) = 0;		// j
};

