//=============================================================================
// MapEvent.h
//=============================================================================
#pragma once
#include <list>

class CDataManager;
class CMapManager;
class CMapObject;
//-----------------------------------------------------------------------------
// CMapEvent
//-----------------------------------------------------------------------------
class CMapEvent
{
	friend class CDataManager;

protected:
	int			m_nWidth;			// ^CPʕ   (MapManager Rs[)
	int			m_nHeight;			// ^CPʍ (MapManager Rs[)
	WORD		*m_wMapObject;
	std::list<CMapObject *> m_lstMapObj;
public:
	CMapEvent(void);
	virtual ~CMapEvent(void);

	void SetMapInfo( int nWidth, int nHeight )
	{
		m_nWidth = nWidth;
		m_nHeight = nHeight;
	}
	
	CMapObject *GetMapObject( int nLocX, int nLocY );

	// 
	void FrameMove( CMapManager *pMapMan );

	// `
	void Render( int nLocX, int nLocY, int iStartX, int iStartY, int nDrawOffsetX, int nDrawOffsetY );

	// NA
	void Clear( void );
};

