//=============================================================================
// PlayerChar.h
//=============================================================================
#pragma once
#include "characterobject.h"


class CManipulator;
class CMapManager;
//-----------------------------------------------------------------------------
// CPlayerChar
//-----------------------------------------------------------------------------
class CPlayerChar :	public CCharacterObject
{
protected:
	BOOL	m_bIsDash;
	UINT	m_nAniFrameCnt;

public:
	CPlayerChar(void);
	virtual ~CPlayerChar(void);

	int GetScrollSpeed( void );

	
	void SetDash( BOOL bFlag )
	{	m_bIsDash = bFlag;	};

	void FrameMove( const CManipulator *pMani, CMapManager *pMapMan );
};

