//=============================================================================
// PlayerChar.cpp
//=============================================================================
#include "Stdinc.h"
#include "PlayerChar.h"
#include "Manipulator.h"
#include "MapManager.h"
//-----------------------------------------------------------------------------
// RXgN^
//-----------------------------------------------------------------------------
CPlayerChar::CPlayerChar(void)
	: m_bIsDash( FALSE )
{
}

//-----------------------------------------------------------------------------
// fXgN^
//-----------------------------------------------------------------------------
CPlayerChar::~CPlayerChar(void)
{
}
//-----------------------------------------------------------------------------
// GetScrollSpeed
//-----------------------------------------------------------------------------
int CPlayerChar::GetScrollSpeed( void )
{
	if ( m_bIsDash )
		return SCROLL_SPEED_DASH;

	return SCROLL_SPEED_WALK;
}
//-----------------------------------------------------------------------------
// XV
//-----------------------------------------------------------------------------
void CPlayerChar::FrameMove( const CManipulator *pMani, CMapManager *pMapMan  )
{
	CCharacterObject::FrameMove();

	if ( !pMapMan->IsScrolling() )
	{
		// 
		if ( pMani->IsKeyPushed( KEY_INPUT_UP ) )
		{
			m_nDirection = DIRECTION_U;
		}
		else if ( pMani->IsKeyPushed( KEY_INPUT_DOWN ) )
		{
			m_nDirection = DIRECTION_D;
		}
		else if ( pMani->IsKeyPushed( KEY_INPUT_LEFT ) )
		{
			m_nDirection = DIRECTION_L;
		}
		else if ( pMani->IsKeyPushed( KEY_INPUT_RIGHT ) )
		{
			m_nDirection = DIRECTION_R;
		}

		// {^
		if ( pMani->CheckKey( KEY_INPUT_X ) )
		{
			// Ă
			pMapMan->NotifyDecideKey( m_nDirection );
		}


	}
	// sAj (ToDo: 蕨̎lȂ)
	m_nState = ( abs(pMapMan->GetScrollOffset()) % MAP_CHIP_SIZE) / 4;

}
